#ifndef __protocol_h
#define __protocol_h

// Config_mode payloads

#define PL_SET_ADDR	1
// payload[1] = PKT_ADDR_L
// payload[2] = PKT_ADDR_H
#define PL_GET_ADDR 2
#define PL_GET_CAPS 3
#define PL_THIS_MY_CAPS 4
// payload[1] = CAPS_SENSOR
// payload[2] = CAPS_INPUTS
// payload[3] = CAPS_OUTPUTS
// payload[4] = CAPS_OTHER --!!
#define PL_THIS_MY_ADDR 5
// payload[1] = PKT_ADDR_L
// payload[2] = PKT_ADDR_H
#define PL_GET_SENSOR 6
// payload[1] = bit of sensor set

#define PL_THIS_MY_SENSOR 7
// payload[1] = SENSOR
// payload[2] = SENSOR_RES_L
// payload[3] = SENSOR_RES_H

#define PL_REQ_INFORM_ON_CHANGE 8
// payload[1] = CAPS_SENSOR mask
// payload[2] = CAPS_INPUTS mask

#define PL_CHANGE 9
// payload[1] = CAPS_SENSOR mask
// payload[2] = CAPS_INPUTS mask
// values?

#define PL_SET_OUTPUT 9
// payload[1] = CAPS_OUTPUT mask  - all bits set will get changed
// payload[2] = value_l
// payload[3] = value_h

#define PL_GET_OTHER 10
// payload[1] = bit of which other to send

#define PL_THIS_MY_OTHER 11
// payload[1] = OTHER
// payload[2] = OTHER_RES_L
// payload[3] = OTHER_RES_H

// EEPROM locations

#define EE_MY_ADDR_L 0x00
#define EE_MY_ADDR_H 0x01

#define EE_MY_LAST_PKT_ID_L 0x02
#define EE_MY_LAST_PKT_ID_H 0x03

#define EE_MY_SENSORS 0x04
#define EE_MY_INPUTS  0x05
#define EE_MY_OUTPUTS 0x06
#define EE_MY_OTHER   0x07

// Bit

// EE_MY_SENSORS
#define CAPS_SENSOR_TEMP  			0x01
#define CAPS_SENSOR_HUMIDITY   		0x02
#define CAPS_SENSOR_AIR_PRESSURE 	0x04
#define CAPS_SENSOR_LIGHT       	0x08
#define CAPS_SENSOR_PRESENCE		0x10

// EE_MY_INPUTS
#define CAPS_INPUTS_SWITCH1		0x01
#define CAPS_INPUTS_SWITCH2		0x02
#define CAPS_INPUTS_SWITCH3		0x04
#define CAPS_INPUTS_SWITCH4		0x08
#define CAPS_INPUTS_SWITCH5		0x10
#define CAPS_INPUTS_SWITCH6		0x20
#define CAPS_INPUTS_SWITCH7		0x40
#define CAPS_INPUTS_SWITCH8		0x80

// EE_MY_OUTPUTS
#define CAPS_OUTPUTS_RELAY1		0x01
#define CAPS_OUTPUTS_RELAY2		0x02
#define CAPS_OUTPUTS_DIMMER1	0x04
#define CAPS_OUTPUTS_DIMMER2	0x08

#define CAPS_OTHER_TIME 0x01
#define CAPS_OTHER_DATE 0x02

#endif
